/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package ProjActMgmt.ProjAct;

import java.util.Date;
import java.util.Vector;
import java.math.BigDecimal;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class ProjectActivity {
    public void makeProjectActivity() {
    }

    /**  */
    public boolean meetsEntryCriteria() {
        return false;
    }

    public boolean meetsExitCriteria() {
        return false;
    }

    public void complete() {
    }

    public void cancel() {
    }

    public boolean mi_isCompleted() {
        return false;
    }

    public BigDecimal mi_estimatePercentCompleted() {
        return new BigDecimal(0);
    }

    public int mi_compareWith() {
        return 0;
    }

    public Vector mi_comparePlanVsActuals() {
        return new Vector();
    }

    public Vector mi_comparePlannedAndActualCosts() {
        return new Vector();
    }

    public Vector mi_assessDeviationFromPlan() {
        return new Vector();
    }

    public void mi_confirmTheResourcesRequestedForThisActivity() {
    }

    public void mi_commitTheResourcesRequestedForThisActivity() {
    }

    public void mi_releaseTheResourcesRequestedForThisActivity() {
    }

    /**  */
    public Vector listSubActivityHierarchy() {
        return new Vector();
    }

    private String number;
    private int priority;
    private Date earliestStartDateTime;
    private Date anticipatedStartDateTime;
    private Date latestStartDateTime;
    private Date dueDate;
    private int interval;
    private String comments;
    private BigDecimal cost;

    /** @supplierCardinality 1 */
    private IMakeProjectActivity lnkUnnamed4;

    /**
     * @shapeType AggregationLink
     * @associates <b>ProjectActivity</b>
     * @supplierCardinality 0..*
     * @clientCardinality 0..1
     * @clientRole larger
     * @supplierRole smaller
     */
    private Vector lnkUnnamed5;

    /**
     * @shapeType AggregationLink
     * @associates <b>ProjectActivityDetail</b>
     * @supplierCardinality 1..*
     * @clientCardinality 1
     */
    private Vector lnkUnnamed;

    /**
     * @clientCardinality 0..1
     * @clientRole plan
     * @supplierCardinality 0..*
     * @supplierRole actual
     */
    private ProjectActivity lnkUnnamed1;

    /**
     * @supplierCardinality 0..1
     * @clientCardinality 0..*
     */
    private AccountingMgmt.Account.ProjectAccount lnkUnnamed2;
}


